Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class SeleniumDriverResourceHandler

    java.lang.Object
      org.mortbay.http.handler.AbstractHttpHandler
          org.mortbay.http.handler.ResourceHandler
              org.openqa.selenium.server.SeleniumDriverResourceHandler

All Implemented Interfaces:
  org.mortbay.http.HttpHandler, org.mortbay.util.LifeCycle, java.io.Serializable

public class SeleniumDriverResourceHandler
extends org.mortbay.http.handler.ResourceHandler

A Jetty handler that takes care of Selenese Driven requests. Selenese Driven requests are described in detail in the class description for `SeleniumProxy`

Version:
  $Revision: 674 $
Author:
  Paul Hammant
See Also:
  `SeleniumServer`, Serialized Form

Constructor Summary
`SeleniumDriverResourceHandler(SeleniumServer server)`

Method Summary
`void` | `clearQueue(java.lang.String sessionId)` Deletes the specified SeleneseQueue
`java.lang.String` | `doCommand(java.lang.String cmd, java.util.Vector values, java.lang.String sessionId, org.mortbay.http.HttpResponse res)`
`void` | `handle(java.lang.String pathInContext, java.lang.String pathParams, org.mortbay.http.HttpRequest req, org.mortbay.http.HttpResponse res)`
`void` | `stopAllBrowsers()` Kills all running browsers

Methods inherited from class org.mortbay.http.handler.ResourceHandler
`getAllowedMethods, getAllowedString, getMinGzipLength, getRedirectWelcome, getResource, handleGet, isAcceptRanges, isDirAllowed, isMethodAllowed, sendData, setAcceptRanges, setAllowedMethods, setDirAllowed, setMinGzipLength, setRedirectWelcome, start, stop, writeHeaders`

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeleniumDriverResourceHandler

    public SeleniumDriverResourceHandler(SeleniumServer server)

Method Detail

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       org.mortbay.http.HttpRequest req,
                       org.mortbay.http.HttpResponse res)
                throws org.mortbay.http.HttpException,
                       java.io.IOException

  Throws:
    `org.mortbay.http.HttpException`
    `java.io.IOException`

### doCommand

    public java.lang.String doCommand(java.lang.String cmd,
                                      java.util.Vector values,
                                      java.lang.String sessionId,
                                      org.mortbay.http.HttpResponse res)

### clearQueue

    public void clearQueue(java.lang.String sessionId)

  Deletes the specified SeleneseQueue

### stopAllBrowsers

    public void stopAllBrowsers()

  Kills all running browsers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.